%global momorel 3

Summary: Partition Editor application
Name:    gparted
Version: 0.2.5
Release: %{momorel}m
Group:   Applications/System
License: GPL
URL:     http://gparted.sourceforge.net/
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2 16cb3361b6c025acfe20781af46e4650
Source1: %{name}.pam
Source2: %{name}.consoleapp
Source3: gparted.ja.po
Patch0:  gparted-0.2.5-ja_po.patch
# 2 byte characters need a wide window
Patch1:  gparted-0.2.5-larger_default_size.patch
Requires: usermode-gtk, gtkmm, parted
# many filesystemtools are automatically recognized by gparted if they are installed
Requires: e2fsprogs, jfsutils, xfsprogs, reiserfsprogs
Requires: ntfsprogs, dosfstools, reiser4progs
# x86_64 may can't build hfsutils
#Requires: hfsutils
BuildRequires: gtkmm-devel >= 2.8.8
BuildRequires: parted-devel >= 1.6.25
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
GParted is the Gnome Partition Editor application. Before attempting to use it, here is some basic background information.

A hard disk is usually subdivided into one or more partitions. These partitions are normally not re-sizable (making one larger and the adjacent one smaller) The purpose of GParted is to allow the individual to take a hard disk and change the partition organization therein, while preserving the partition contents.

GParted is an industrial-strength package for creating, destroying, resizing, checking and copying partitions, and the file systems on them. This is useful for creating space for new operating systems, reorganizing disk usage, copying data residing on hard disks and mirroring one partition with another (disk imaging).

GParted uses GNU libparted to detect and manipulate devices and partitiontables.

Several (optional) "file system" tools provide support for file systems not included in libparted.
These optional packages will be detected at runtime and do not require a rebuild of GParted.

%prep
%setup -q 
cp -f %{SOURCE3} po/ja.po
%patch0 -p1 -b .ja
%patch1 -p1 -b .largerwindow

%build
%configure --bindir=%{_sbindir}
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

## desktop
%__mkdir_p %{buildroot}%{_datadir}/applications
# install desktop file
desktop-file-install --vendor= \
  --dir %{buildroot}%{_datadir}/applications \
    --remove-category GNOME \
  --add-category Application \
    --add-category System \
    ./%{name}.desktop

# PAM configuration
install -dm 755 %{buildroot}%{_bindir}
ln -s consolehelper %{buildroot}%{_bindir}/gparted
install -Dpm 644 %{SOURCE1} \
  %{buildroot}%{_sysconfdir}/pam.d/gparted
install -Dpm 644 %{SOURCE2} \
  %{buildroot}%{_sysconfdir}/security/console.apps/gparted


%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README INSTALL ChangeLog AUTHORS COPYING NEWS
%config(noreplace) %{_sysconfdir}/pam.d/gparted
%config(noreplace) %{_sysconfdir}/security/console.apps/gparted
%{_sbindir}/gparted
%{_bindir}/gparted
%{_datadir}/pixmaps/*
%{_datadir}/applications/*.desktop

%changelog
* Tue Jun 06 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.2.5-3m)
- update ja.po to an official CVS version

* Sat May 20 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.2.5-2m)
- rebuild against gtkmm-2.8.8

* Fri May 19 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.2.5-1m)
- import to Momonga
- added ja.po
